Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(80)

Issue 1144363004: When serializing accessibility tree, skip invalid children. (Closed)

Created:
4 years, 5 months ago by dmazzoni
Modified:
4 years, 5 months ago
Reviewers:
aboxhall
CC:
chromium-reviews, plundblad+watch_chromium.org, aboxhall+watch_chromium.org, nektar+watch_chromium.org, yuzo+watch_chromium.org, je_julie, dmazzoni+watch_chromium.org, dtseng+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

When serializing accessibility tree, skip invalid children. See bug for specific repro in the wild, but essentially we need to check if the child is valid just before serializing, and not trust the list of children of a node. BUG=479743 Committed: https://crrev.com/8dc07f045c6287da3404fa8e0fd8b1b3960afbfa Cr-Commit-Position: refs/heads/master@{#332748}

Patch Set 1 #

Total comments: 6

Patch Set 2 : Fix Windows link #

Unified diffs Side-by-side diffs Delta from patch set Stats (+93 lines, -19 lines) Patch
M ui/accessibility/ax_tree_serializer.h View 2 chunks +28 lines, -19 lines 0 comments Download
M ui/accessibility/ax_tree_serializer_unittest.cc View 1 1 chunk +65 lines, -0 lines 0 comments Download

Messages

Total messages: 22 (9 generated)
dmazzoni
https://codereview.chromium.org/1144363004/diff/1/ui/accessibility/ax_tree_serializer.h File ui/accessibility/ax_tree_serializer.h (right): https://codereview.chromium.org/1144363004/diff/1/ui/accessibility/ax_tree_serializer.h#newcode450 ui/accessibility/ax_tree_serializer.h:450: // Skip if the same child is included more ...
4 years, 5 months ago (2015-05-26 23:03:12 UTC) #2
aboxhall
https://codereview.chromium.org/1144363004/diff/1/ui/accessibility/ax_tree_serializer.h File ui/accessibility/ax_tree_serializer.h (right): https://codereview.chromium.org/1144363004/diff/1/ui/accessibility/ax_tree_serializer.h#newcode420 ui/accessibility/ax_tree_serializer.h:420: size_t serialized_node_index = out_update->nodes.size(); Why do this _and_ put ...
4 years, 5 months ago (2015-06-01 16:46:47 UTC) #3
dmazzoni
https://codereview.chromium.org/1144363004/diff/1/ui/accessibility/ax_tree_serializer.h File ui/accessibility/ax_tree_serializer.h (right): https://codereview.chromium.org/1144363004/diff/1/ui/accessibility/ax_tree_serializer.h#newcode420 ui/accessibility/ax_tree_serializer.h:420: size_t serialized_node_index = out_update->nodes.size(); On 2015/06/01 16:46:46, aboxhall wrote: ...
4 years, 5 months ago (2015-06-01 16:53:18 UTC) #4
aboxhall
lgtm https://codereview.chromium.org/1144363004/diff/1/ui/accessibility/ax_tree_serializer.h File ui/accessibility/ax_tree_serializer.h (right): https://codereview.chromium.org/1144363004/diff/1/ui/accessibility/ax_tree_serializer.h#newcode425 ui/accessibility/ax_tree_serializer.h:425: // vector is resized. On 2015/06/01 16:53:18, dmazzoni ...
4 years, 5 months ago (2015-06-01 21:25:47 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1144363004/1
4 years, 5 months ago (2015-06-01 21:27:49 UTC) #7
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_rel_ng on tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_ng/builds/71774)
4 years, 5 months ago (2015-06-01 23:51:47 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1144363004/1
4 years, 5 months ago (2015-06-01 23:59:28 UTC) #11
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_compile_dbg_ng on tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_compile_dbg_ng/builds/44298)
4 years, 5 months ago (2015-06-02 00:52:19 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1144363004/1
4 years, 5 months ago (2015-06-02 04:59:11 UTC) #15
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_compile_dbg_ng on tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_compile_dbg_ng/builds/44443)
4 years, 5 months ago (2015-06-02 05:52:04 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1144363004/20001
4 years, 5 months ago (2015-06-03 22:22:01 UTC) #20
commit-bot: I haz the power
Committed patchset #2 (id:20001)
4 years, 5 months ago (2015-06-04 00:25:07 UTC) #21
commit-bot: I haz the power
4 years, 5 months ago (2015-06-04 00:27:04 UTC) #22
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/8dc07f045c6287da3404fa8e0fd8b1b3960afbfa
Cr-Commit-Position: refs/heads/master@{#332748}

Powered by Google App Engine
This is Rietveld 408576698